.Na "dbcolbrowse"
.mc |
.Aa
.Fu
Determine whether the source of a regular result column is updatable via the
\*L browse-mode facilities.
.Ih "column, determining whether it is updatable via browse mode"
.Sy
.Sf "DBBOOL dbcolbrowse(dbproc, colnum)"
.Sp "DBPROCESS" "*dbproc"
.Sp "int" "colnum"
.Co
.Bl
\f2dbcolbrowse()\f1 is one of the \*L browse mode routines.
See the Introduction for a detailed discussion of browse mode.
.Bl
\f2dbcolbrowse()\f1 provides a way to determine whether the database column that's the source
of a regular (\f2i.e.,\f1 non-compute)
result column in a \f2select-list\f1 is updatable via the \*L browse-mode facilities.
This routine is useful in examining ad hoc queries.
If the query has been hardcoded into the program, \f2dbcolbrowse()\f1 is obviously unnecessary.
.Bl
To be updatable, a column must be derived from a browsable table (\f2i.e.,\f1 the table
must have a unique index and a timestamp column) and cannot
be the result of a SQL expression.
For example, in the following \f2select-list\f1:
.SD
.in +3n
select title, category=type, wholesale=(price * 0.6) ... for browse
.in -3n
.ED
result columns 1 and 2 (``title'' and ``category'') are updatable, but
column 3 (``wholesale'') is not, because it is the result of an expression.
.Bl
The application can call
\f2dbcolbrowse()\f1 any time after \f2dbresults()\f1.
.Bl
To determine the name of the source column given the name of the result column, use
\f2dbcolsource()\f1.
.Bl
Example 7 in the \f2\*L Reference Supplement\f1 contains a call to \f2dbcolbrowse()\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi colnum
The number of the result column of interest. Column numbers start at 1.
.in -.375i
.Re
.br
TRUE or FALSE. 
.Sa
dbcolsource,
dbqual,
dbtabbrowse,
dbtabcount,
dbtabname,
dbtabsource,
dbtsnewlen,
dbtsnewval,
dbtsput
.mc
