.Na "dbcollen" 
.Aa
.Fu
Return the maximum length of the data in a regular result column.
.Ih "column, maximum length for data in a"
.Sy
.Sf "DBINT dbcollen(dbproc, column)"
.Sp "DBPROCESS" "*dbproc"
.Sp "int" "column"
.Co
.Bl
This routine returns the maximum length of the data in a 
regular (\f2i.e.,\f1 non-compute) result column.  In the case of variable length data,
this is not necessarily the actual length of the data, but rather the
maximum length that the data can be.  For the actual data length, use
.I "dbdatlen()."
.Bl
Here's a small program fragment that uses \f2dbcollen()\fP:
.ta +4n +4n +4n +4n +4n +4n
.SD
.so dbcollen.ex
.ED
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi column
The number of the column of interest.  The first column is number 1.
.in -.375i
.Re
.br
The maximum length, in bytes, of the data for the particular column.
If the column number is not in range, \f2dbcollen()\f1 returns -1.
.Sa
dbcolname,
dbcoltype,
dbdata,
dbdatlen,
dbnumcols
