.Na "dbdatlen" 
.Aa
.Fu
Return the length of the data in a regular result column.
.Ih "regular column, length of data in"
.Sy
.Sf "DBINT dbdatlen(dbproc, column)"
.Sp "DBPROCESS" "*dbproc"
.Sp "int" "column"
.Co
.Bl
This routine returns the actual length of the data for a 
regular (\f2i.e.,\f1 non-compute) result column.
.Bl
Use the \f2dbcollen()\f1 routine to determine the maximum possible length for the data.
Use \f2dbdata()\f1 to get a pointer to the data itself.
.Bl
Here's a small program fragment that uses \f2dbdatlen()\fP:
.ta +4n +4n +4n +4n +4n +4n
.SD
.so dbdatlen.ex
.ED
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi column
The number of the column of interest.  The first column is number 1.
.in -.375i
.Re
.br
The length, in bytes, of the data for the particular column.
If the data has a null value,
\f2dbdatlen()\f1 returns 0.
If the column number is not in range, 
\f2dbdatlen()\f1 returns -1.
.Sa
dbcollen,
dbcolname,
dbcoltype,
dbdata,
dbnumcols
