.Na "DBDEAD" 
.Aa
.Fu
Determine whether a particular DBPROCESS is dead.
.Ih "DBPROCESS, dead"
.Sy
.Sf "DBBOOL DBDEAD(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This macro indicates whether or not the specified DBPROCESS is dead. 
It is particularly useful in user-supplied error handlers.
.Bl
If a DBPROCESS \f2is\f1 dead, then almost
every \*L routine which receives it as a parameter will immediately fail,
calling the user-supplied error handler.
.Bl
\f3Note:\f1  If there is no user-supplied error handler, a dead DBPROCESS will 
cause the affected \*L routines not to fail, but to abort the program.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
TRUE or FALSE.
.Sa
dberrhandle,
errors
