.Na "dbexit" 
.Aa
.Fu
.mc |
Close and de-allocate all DBPROCESS structures, and clean up 
any structures initialized by \f2dbinit()\f1.
.Ih "DBPROCESSes, closing all"
.Sy
.mc
.Sf "void dbexit()"
.Co
.Bl
.I "dbexit()"
calls
.I "dbclose()"
repeatedly
for all allocated DBPROCESS structures.
.I "dbclose()"
cleans up any activity associated with a single DBPROCESS
structure and de-allocates the space.
.Bl
You can use \f2dbclose()\f1 directly to close just a single DBPROCESS structure.
.mc |
.Bl
\f2dbexit()\f1 also cleans up any structures initialized by \f2dbinit()\f1,
releasing the memory associated with those structures.
\f2It must be the last \*L call in any application that calls dbinit()\f1.
.sp 0.5v
Currently, \f2dbinit()\f1 is required only in the Macintosh environment.
However, to ensure future compatibility and portability, it is strongly recommended
that all applications call \f2dbinit()\f1 and \f2dbexit()\f1, no matter what their operating environment.
.sp 0.5v
For environments requiring \f2dbinit()\f1, the application must not make any other
\*L call after calling \f2dbexit()\f1.
.Bz
.mc
.Re
.br
None.
.Sa
dbclose,
dbinit,
dbopen
