.Na "DBFIRSTROW" 
.Aa
.Fu
Return the number of the first row in the row buffer.
.Ih "row buffer, returning the number of its first row"
.Sy
.Sf "DBINT DBFIRSTROW(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This macro returns the number of the first row in the row buffer.
.Bl
If you aren't buffering rows, 
.I "DBFIRSTROW(), DBCURROW(),"
and
.I "DBLASTROW()"
always have the same value.
If you \f2have\f1 enabled buffering by setting the
DBBUFFER option,
.I "DBFIRSTROW()"
returns the number of the first row in the row buffer.
.Bl
Note that the first row returned from \*S (whose value is 1)
is not necessarily the first row in the row buffer.
The rows in the row buffer are dependent on manipulation by
the application program.
See the \f2dbclrbuf()\f1 manual page for details.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
The number of the first row in the row buffer.
Rows are counted from
the first row returned from \*S, whose number is 1.
This routine returns 0 if there's an error.
.Sa
dbclrbuf,
DBCURROW,
dbgetrow,
DBLASTROW,
dbnextrow,
dbsetopt,
options
