.Na "DBIOWDESC    (UNIX only)"
.Aa
.Fu
Provide program access to the UNIX file descriptor used by a
DBPROCESS to write data to \*S.
.Ih "file descriptor (UNIX), access to"
.Sy
.Sf "int DBIOWDESC(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This routine provides a way for an application to 
effectively utilize multiple input and output streams.
.Ih "input streams, multiple"
.Ih "output streams, multiple"
Depending on the nature of your application,
the time interval between the initiation of an attempt to write 
information to \*S (usually made via a call to \f2dbsqlsend()\fP)
and the completion of that attempt may be significant.
You may use this
time to service other parts of your application. The \f2DBIOWDESC()\fP
routine provides a way to obtain the I/O descriptor which a DBPROCESS uses
to write the data stream to \*S.
This information
may then be used with various operating system facilities 
(such as the UNIX \f2select()\fP function)
to allow the application to effectively utilize multiple input and output streams.
.Bl
The file descriptor returned by this routine may only be used with operating system
facilities that \f2do not\f1 write data to the outgoing data stream. If data
is written to this stream by any means other than through a \*L routine, 
communications between the front-end and \*S will become hopelessly scrambled.
.Bl
A companion routine, \f2DBIORDESC()\f1, provides access to the file descriptor
used to read data coming from \*S.
.Bl
For an example that illustrates the use of \f2DBIOWDESC()\f1 with \f2dbsqlsend()\f1
and \f2dbsqlok()\f1, see the \f2\*L Reference Supplement\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
An integer file descriptor used by the specified DBPROCESS to write data to
\*S.
.Sa
dbcmd, 
DBIORDESC, 
dbnextrow, 
dbresults, 
dbsqlok, 
dbsqlsend
