.Na "DBISAVAIL" 
.Aa
.Fu
Determine whether a DBPROCESS is available for general use.
.Ih "DBPROCESS, determining whether it is available"
.Sy
.Sf "DBBOOL DBISAVAIL(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This routine indicates whether the specified DBPROCESS is available for general
use.
When a DBPROCESS is first opened, it is marked as being available,
until some use
is made of it. Many \*L routines will automatically set
the DBPROCESS to ``not available,'' but only \f2dbsetavail()\fP will reset
it to ``available.''
This facility is useful when several parts of a program
are attempting to share a single DBPROCESS.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
TRUE if the DBPROCESS is available for general use, otherwise FALSE.
.Sa
dbsetavail
