.Na "DBLASTROW" 
.Aa
.Fu
Return the number of the last row in the row buffer. 
.Ih "row buffer, returning the number of its last row"
.Sy
.Sf "DBINT DBLASTROW(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This macro returns the number of the last row in the row buffer.
Rows are counted from
the first row returned from \*S, whose number is 1, and \f2not\f1 from the top of the row buffer.
.Bl
If you aren't buffering rows, 
.I "DBFIRSTROW(), DBCURROW(),"
and
.I "DBLASTROW()"
will always have the same value.
If you have enabled buffering by setting the
.I "DBBUFFER"
option,
.I "DBLASTROW()"
will return the number of the row that is the last row in the row buffer.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
The number of the last row in the row buffer.
This routine returns 0 if there's an error.
.Sa
dbclrbuf,
DBCURROW,
DBFIRSTROW,
dbgetrow,
dbnextrow,
dbsetopt,
options
