.Na "dbreadpage" 
.Aa
.Fu
Read a page of binary data from \*S.
.Ih "binary data, reading a page of"
.Ih "database pages, examining"
.Sy
.Sf "DBINT dbreadpage(dbproc, dbname, pageno, buf)"
.Sp "DBPROCESS" "*dbproc"
.Sp "char" "*dbname"
.Sp "DBINT" "pageno"
.Sp "BYTE" "buf[]"
.Co
.Bl
.I "dbreadpage()"
reads a page of binary data from \*S. This routine is primarily
useful for examining and repairing damaged database pages.
After calling
\f2dbreadpage()\fP, the DBPROCESS may contain some error or informational
messages from \*S. These messages may be accessed through a user-supplied
message handler.
.Ns W
Use this routine only if you are absolutely sure you know what you are doing!
.Ne
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi dbname
The name of the database of interest.
.Pi pageno
The number of the database page to be read.
.Pi buf
A pointer to a buffer to hold the received page data. \*S pages
are currently 2048 bytes long.
.in -.375i
.Re
.br
The number of bytes read from \*S. If the operation was
unsuccessful, \f2dbreadpage\fP returns -1.
.Bg
.br
Alters the contents of the DBPROCESS command buffer.
.Sa
dbmsghandle,
dbwritepage
