.Na "DBROWTYPE"
.Aa
.Fu
Return the type of the current row.
.Ih "compute row, determining"
.Ih "regular row, determining"
.Ih "row type, determining"
.Sy
.Sf "STATUS DBROWTYPE(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This macro tells you the type (regular or compute) of the current row.
Usually you already know this, since
.I "dbnextrow()"
also returns the row type.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
Three different types of values can be returned:
.Bl
If the current row is a regular row,
REG_ROW is returned.
.Bl
If the current row is a compute row,
the \f2computeid\f1 of the row is returned.
(See \f2dbaltbind()\f1 for information on the \f2computeid\f1.)
.Bl
If no rows have been read, or if the routine failed for any reason,
NO_MORE_ROWS is returned.
.Bz
.Sa
dbnextrow
