.Na "dbrpwclr" 
.mc |
.Aa
.Fu
Clear all remote passwords from the LOGINREC structure.
.Ih "remote procedure call"
.Ih "stored procedure, calling"
.Ih "call, remote procedure"
.Ih "password, remote"
.Ih "remote password"
.Sy
.Sf "void dbrpwclr(loginrec)"
.Sp "LOGINREC" "*loginrec"
.Co
.Bl
A \*N command batch or stored procedure running
on one \*S may call a stored procedure located on
another \*S.
To accomplish this server-to-server communication,
the first \*S,
connected to the application through \f2dbopen()\f1, 
actually logs into the second, remote \*S.
.sp 0.5v
\f2dbrpwset()\f1 allows the application to specify
the password to be used when the first \*S
attempts to call the stored procedure on the remote \*S.
Multiple passwords may be specified, one for each
\*S that the first \*S might need to log into.
.Bl
A single LOGINREC can be used repeatedly, in successive
\f2dbopen()\f1 calls to different \*Ss.
\f2dbrpwclr()\f1 allows the application to remove any remote
password information currently in the LOGINREC, so that successive
calls to \f2dbopen()\f1 can contain different remote password
information (specified with \f2dbrpwset()\f1).
.Bz
.Pa
.Pi loginrec
A pointer to a LOGINREC structure.  This pointer will serve as
an argument to 
.I "dbopen()."
You can get one by calling
.I "dblogin()."
.in -.375i
.Re
.br
None.
.Sa
dblogin, 
dbopen, 
dbrpwset, 
DBSETLAPP, 
DBSETLHOST, 
DBSETLPWD, 
DBSETLUSER
.mc
