.Na "dbsettime" 
.Aa
.Fu
Set the number of seconds that \*L will wait for a 
\*S response to a SQL command.
.Ih "time \*L waits for a \*S response, setting"
.Sy
.Sf "RETCODE dbsettime(seconds)"
.Sp "int" "seconds"
.Co
.Bl
This routine sets the length of time in seconds that \*L
will wait for a \*S response during calls to 
\f2dbsqlexec()\f1, \f2dbsqlok()\f1, \f2dbresults()\f1, and \f2dbnextrow()\f1.
The default timeout value is 0, which represents an infinite timeout period. 
.Bl
\f2dbsettime()\f1 can be called at any time during the application\(embefore or 
after a call to \f2dbopen()\f1.
It takes effect immediately upon being called.
.Bl
To set a timeout value for calls to \f2dbopen()\f1, use \f2dbsetlogintime()\f1.
.Bl
Note that, after sending a query to \*S, \f2dbsqlexec()\f1 waits until a 
response is received or until the timeout period has elapsed.
To minimize the time spent in \*L waiting for a response from 
\*S, an application can instead call \f2dbsqlsend()\f1 followed by
\f2dbsqlok()\f1.
.Bl
The program can call
.I "DBGETTIME()"
to learn the current timeout value.
.Bl
A timeout generates the \*L error ``SYBETIME.''
.Bz
.Pa
.Pi seconds
The timeout value\(emthe
number of seconds that \*L waits for a \*S response
before timing out.
A timeout value of 0 represents an infinite timeout period.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
dberrhandle,
DBGETTIME,
dbsetlogintime,
dbsqlexec,
dbsqlok,
dbsqlsend
