.Na "dbsqlsend" 
.Aa
.Fu
Send a command batch to \*S and do not wait for a response.
.Ih "command batch, executing"
.Ih "command batch, sending to \*S"
.Sy
.Sf "RETCODE dbsqlsend(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This routine sends SQL commands, stored in the
command buffer, to \*S.
The application can add commands
to the command buffer by calling
\f2dbcmd()\f1 or \f2dbfcmd()\f1.
.Bl
Once \f2dbsqlsend()\f1 returns SUCCEED,
the application must call
\f2dbsqlok()\f1 to verify the accuracy
of the command batch.
The application can then call
\f2dbresults()\f1 to process the results.
.Bl
\f2dbsqlexec()\f1 is equivalent to \f2dbsqlsend()\f1 followed by \f2dbsqlok()\f1.
.Bl
The use of \f2dbsqlsend()\f1 with \f2dbsqlok()\f1 is of particular value in UNIX
applications.
After sending a query to \*S, \f2dbsqlexec()\f1 waits until
a response is received or until the timeout period has elapsed.
By substituting \f2dbsqlsend()\f1 and \f2dbsqlok()\f1 for \f2dbsqlexec()\f1,
you can sometimes provide a way for a UNIX application
to respond more effectively to multiple input and output streams.
The time between the request for
information from \*S (made via a call to \f2dbsqlsend()\fP)
and \*S's response (read by calling \f2dbsqlok()\fP)
can be used, in conjunction with \f2DBIORDESC()\f1 or \f2DBIOWDESC()\f1, to
service other parts of the application.
\f2DBIORDESC()\f1 and \f2DBIOWDESC()\f1 are available for UNIX only.
See the manual pages for those two routines for more information.
.sp 0.5v
For a UNIX example that illustrates the use of \f2dbsqlsend()\f1 with \f2dbsqlok()\f1,
\f2DBIORDESC()\f1 and \f2DBIOWDESC()\f1, see the \f2\*L Reference Supplement\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
SUCCEED or FAIL.
\f2dbsqlsend()\f1 may fail if previous results had not been processed, or if
the command buffer was empty.
.Sa
dbcmd, 
dbfcmd, 
DBIORDESC, 
DBIOWDESC, 
dbnextrow, 
dbresults, 
dbsettime, 
dbsqlexec,
dbsqlok
