.Na "dbvarylen" 
.mc |
.Aa
.Fu
Determine whether the specified regular result column's data can vary in length.
.Ih "varying length data"
.Ih "regular column, determining whether data length varies"
.Sy
.Sf "DBBOOL dbvarylen(dbproc, column)"
.Sp "DBPROCESS" "*dbproc"
.Sp "int" "column"
.Co
.Bl
This routine indicates whether a particular regular (\f2i.e.,\f1 non-compute) 
result column's data can vary in length.
It will return TRUE if the result column is derived 
from a database column of type \f2varchar, varbinary, text,\f1 or \f2image\f1.
It will also return TRUE if the source database column is defined as NULL,
meaning that it may contain a null value.
.Bl
This routine is useful with programs that handle ad hoc queries, if
the program needs to be
alerted to the possibility of null or variable length data.
.Bl
You can use \f2dbcoltype()\f1 to get a column's datatype.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi column
The number of the regular result column of interest.
The first column is number 1.
.in -.375i
.Re
.br
TRUE or FALSE, indicating whether or not the column's data can vary in length.
\f2dbvarylen()\f1 also returns 
FALSE if the column number is out of range.
.Sa
dbcollen, 
dbcolname, 
dbcoltype, 
dbdata, 
dbdatlen, 
dbnumcols, 
dbprtype,
types
.mc
