.Na "remove_xact" 
.Aa
.Fu
Decrement the count of sites still active in the distributed transaction.
.Ih "distributed transaction, decrementing active sites"
.Sy
.Sf "RETCODE remove_xact(connect, commid, n)
.Sp "DBPROCESS" "*connect"
.Sp "DBINT" "commid"
.Sp "int" "n"
.Co
.Bl
The commit service keeps a count of the number of sites participating
in
a distributed transaction.
This routine informs the commit service that one or more sites has
done a local commit or abort on the transaction and is
hence no longer participating.
The commit service removes
the sites from the transaction by decrementing the count of sites.
The transaction record is deleted entirely if the count drops to zero.
.Bz
.Pa
.Pi connect
A pointer to the DBPROCESS used to communicate with the commit service.
.Pi commid
The \f2commid\fP used to identify the transaction to the commit service.
.Pi n
The number of sites to remove from the transaction.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
abort_xact,
commit_xact,
scan_xact,
start_xact,
stat_xact
